Gecode::MiniModel::StatePool Class Reference

State pool combines a tree of states together with yet unprocessed states More...

## Public Member Functions

| StatePool (PosSet *)
StateNode * | pop (void)
bool | empty (void) const
int | state (StatePoolAllocator &, PosSet *)

## Public Attributes

int | n_states
StateNode | root
StateNode * | next
StateNode * | all

## Detailed Description

State pool combines a tree of states together with yet unprocessed states

Definition at line 674 of file reg.cpp.

## Constructor & Destructor Documentation

## StatePool()

Gecode::MiniModel::StatePool::StatePool | ( | PosSet * | ps | ) |

inline

Definition at line 690 of file reg.cpp.

## Member Function Documentation

## pop()

StateNode * Gecode::MiniModel::StatePool::pop | ( | void |  | ) |

inline

Definition at line 702 of file reg.cpp.

## empty()

bool Gecode::MiniModel::StatePool::empty | ( | void |  | ) | const

inline

Definition at line 711 of file reg.cpp.

## state()

int Gecode::MiniModel::StatePool::state | ( | StatePoolAllocator & | spm,
|  | PosSet * | ps )

inline

Definition at line 716 of file reg.cpp.

## Member Data Documentation

## n_states

int Gecode::MiniModel::StatePool::n_states

Definition at line 676 of file reg.cpp.

## root

StateNode Gecode::MiniModel::StatePool::root

Definition at line 677 of file reg.cpp.

## next

StateNode* Gecode::MiniModel::StatePool::next

Definition at line 678 of file reg.cpp.

## all

StateNode* Gecode::MiniModel::StatePool::all

Definition at line 679 of file reg.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/reg.cpp